import { ModuleWithProviders } from '@angular/core';
import { HacDropdown } from './dropdown/components/hac.dropdown';
import { HacDropdownOption, HacDropdownOptionGroup } from './dropdown/models';
import { HacDropdownFilterPipe } from './dropdown/pipes/hac.dropdown.filter';
import { HacDropdownColumnizerPipe } from './dropdown/pipes/hac.dropdown.columnizer';
import { HacDatepicker } from './datepicker/components/hac.datepicker';
import { HacDatepickerOptions } from './datepicker/components/hac.datepicker.options';
import { HacWeekDayFormatter } from './datepicker/pipes/hac.weekday.formatter';
import { HacCopyWidthDirective } from './common/directives/copy-width.directive';
export { HacDatepicker, HacDatepickerOptions, HacWeekDayFormatter, HacDropdown, HacDropdownOption, HacDropdownOptionGroup, HacDropdownFilterPipe, HacDropdownColumnizerPipe, HacCopyWidthDirective };
export declare class HacModule {
    static forRoot(): ModuleWithProviders;
}
